Opened 6 months ago

Closed 5 months ago

Last modified 5 months ago

#33717 closed enhancement (fixed)

Accept giac-1.9.x from system

Reported by: Gonzalo Tornaría Owned by:
Priority: major Milestone: sage-9.7
Component: build: configure Keywords:
Cc: Michael Orlitzky, Antonio Rojas, François Bissey, Matthias Köppe Merged in:
Authors: Gonzalo Tornaría Reviewers: Matthias Koeppe
Report Upstream: N/A Work issues:
Branch: e4f814d (Commits, GitHub, GitLab) Commit:
Dependencies: Stopgaps:

Status badges

Description

Upstream has recently bumped giac to 1.9.0 (https://xcas.univ-grenoble-alpes.fr/forum/viewtopic.php?f=8&t=2775) but there is no significant difference from 1.7.0-57 and doctests pass just fine on 9.6.rc0.

Change History (5)

comment:1 Changed 6 months ago by Gonzalo Tornaría

Authors: Gonzalo Tornaría
Branch: u/tornaria/33717
Commit: e4f814d3bc3775229d3ada62e63bb8fcb3e9f18b
Status: newneeds_review

Maybe GIAC_MAX_VERSION should be removed?


New commits:

e4f814dTrac #33717: accept giac-1.9.x from the system

comment:2 Changed 6 months ago by Matthias Köppe

Reviewers: Matthias Koeppe
Status: needs_reviewpositive_review

comment:3 Changed 5 months ago by Matthias Köppe

Milestone: sage-9.6sage-9.7

comment:4 Changed 5 months ago by Volker Braun

Branch: u/tornaria/33717e4f814d3bc3775229d3ada62e63bb8fcb3e9f18b
Resolution: fixed
Status: positive_reviewclosed

comment:5 Changed 5 months ago by John Palmieri

Commit: e4f814d3bc3775229d3ada62e63bb8fcb3e9f18b

See #33877 for a problem arising from using the system's giac 1.9.x.

Note: See TracTickets for help on using tickets.